slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetLeftEigenvector

Gets the i-th left eigenvector as computed by NEPSolve().

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetLeftEigenvector(NEP nep,PetscInt i,Vec Wr,Vec Wi)

Collective

### Input Parameters

| nep | - eigensolver context
| i | - index of the solution

### Output Parameters

| Wr | - real part of left eigenvector
| Wi | - imaginary part of left eigenvector

### Notes

The caller must provide valid Vec objects, i.e., they must be created by the calling program with e.g. MatCreateVecs().

If the corresponding eigenvalue is real, then Wi is set to zero. If PETSc is configured with complex scalars the eigenvector is stored directly in Wr (Wi is set to zero). In any case, the user can pass NULL in Wr or Wi if one of them is not required.

The index i should be a value between 0 and nconv-1 (see NEPGetConverged()). Eigensolutions are indexed according to the ordering criterion established with NEPSetWhichEigenpairs().

Left eigenvectors are available only if the twosided flag was set, see NEPSetTwoSided().

### See Also

NEPGetEigenpair(), NEPGetConverged(), NEPSetWhichEigenpairs(), NEPSetTwoSided()

### Level

intermediate

### Location

src/nep/interface/nepsolve.c

### Examples

src/nep/tutorials/ex42.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages